import request from '@/utils/request'

export function getAllocationList(data) {
  return request({
    url: '/production-white-strip-allocation/listBySaleNum',
    method: 'post',
    data: data
  })
}

export function addAllocation(data) {
  return request({
    url: '/production-white-strip-allocation/add',
    method: 'post',
    data: data
  })
}

export function editAllocationStatus(data) {
  return request({
    url: '/production-white-strip-allocation/editAllStatus',
    method: 'post',
    data: data
  })
}

export function delAllocation(data) {
  return request({
    url: '/production-white-strip-allocation/delete',
    method: 'post',
    data: data
  })
}


// 批量发货
export function addAllocationBatch(data) {
  return request({
    url: '/production-white-strip-allocation/addBatch',
    method: 'post',
    data: data
  })
}
